明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1574|回复: 2

请问各位高手,如何控制偏移的方向?

[复制链接]
发表于 2005-6-15 15:14:00 | 显示全部楼层 |阅读模式
我自己编写了一个偏移的程序,但是只能输入偏移的距离,无法控制偏移的方向,请问各位高手,怎么控制偏移的方向? 程序如下: Sub offsethxy()
Dim number As Integer
Dim i As Integer
Dim ObjSelectionSet As AcadSelectionSet
i = 0

'获取当前图形中选择集的个数
number = ThisDrawing.SelectionSets.Count

'删除当前图形中所有的选择集
While i < number
Set ObjSelectionSet = ThisDrawing.SelectionSets.item(0)
ObjSelectionSet.Delete
i = i + 1
Wend

'创建命令执行需要的选择集
Set ObjSelectionSet = ThisDrawing.SelectionSets.Add("SSET")

'向选择集中添加边界对象
ThisDrawing.Utility.Prompt "请选择偏移对象:"
ObjSelectionSet.SelectOnScreen

Dim ofobject As AcadObject Set ofobject = ObjSelectionSet.item(0) Dim offsetObj As Variant
Dim Distance As Double
Dim returnReal As Double
Dim sysVarName As String
Dim varData As Variant
sysVarName = "DIMLFAC"
varData = ThisDrawing.GetVariable(sysVarName) returnReal = ThisDrawing.Utility.getreal("请输入偏移距离: ")
Distance = returnReal / varData
offsetObj = ofobject.Offset(Distance) End Sub
发表于 2005-6-15 15:55:00 | 显示全部楼层
偏移值的正负就控制着方向
发表于 2005-6-15 16:41:00 | 显示全部楼层
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 14:30 , Processed in 0.162055 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表